Page MenuHome

Lose wacom presure when use two windows.
Needs Developer to Reproduce, NormalPublicKNOWN ISSUE

Description

System Information
Windows 7 64bits
Two monitors

Blender Version
2.79
It's broken since I remember, only that I ignored the problem.

Short description of error
When you uses multiple windows in same blender instance and a wacom tablet blender lost the pressure or "focus" of the wacom and only go back when you click in the secondary window. And sometimes blender don't paint the grease pencils

The bug affect to painting modes, sculpt, and grease pencil drawing. The problem, that I was ignored because click in the secondary window to obtain presure is not a big problem. But now I have see that also you can have problems with grease pencil, creating "invisible" strokes that don't work with bsurfaces. Blocking the workflow until you "imagine" the problem or close and open blender other time.

Exact steps for others to reproduce the error

  • Open Blender and create a secondary window with 3D view (in my test work with other panels themes)
  • Click in the secondary window
  • Open other program, browser for example (chrome)
  • hide the secondary window
  • focus in chrome
  • focus in primary 3D view
  • Try to paint

Notes:
-In my test it works with windows in different or same monitor, I don't know if it affects to the problem.
-Some times it doesn't work and you must try so iterations of Blender -> Chrome ->Blender -> hide secondary. But I obtain it making few iterations, in less that one minute

Event Timeline

<SPAMMER> (pati5202) changed the task status from Unknown Status to Resolved.Dec 14 2017, 4:07 AM
<SPAMMER> (pati5202) claimed this task.
This comment was removed by Bastien Montagne (mont29).
Bastien Montagne (mont29) changed the task status from Resolved to Unknown Status.Dec 14 2017, 8:09 AM
Bastien Montagne (mont29) removed <SPAMMER> (pati5202) as the assignee of this task.
Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 30.Jan 5 2018, 8:29 PM

I cant seem to be able to reproduce this (but I am on linux gnome). Could you confirm this on other machines? Does this happen on other OSes as well?

I have never tried two monitors/windows in linux or macOS. But I can confirm this in Windows 7 64bits in a lot of machines and configurations.

Philipp Oeser (lichtwerk) raised the priority of this task from 30 to Normal.Jan 6 2018, 11:28 AM

note that I only tested this with one monitor, still possible this happens with two (but report mentioned this also fails with only one monitor)
A bit speculative, but tagging as windows until someone can reproduce elsewhere...

After some test I can't reproduce with one monitor in macOS, so probably is only a problem in windows systems.

Jeroen Bakker (jbakker) changed the task status from Confirmed to Needs Developer to Reproduce.Jan 20 2020, 4:54 PM
Jeroen Bakker (jbakker) triaged this task as Low priority.
Jeroen Bakker (jbakker) changed the subtype of this task from "Report" to "Known Issue".

In order to add support for specific device we need to be able to have access to the device. So marking this for now as Known Issue, with low priority and needs developer to reproduce.

Brecht Van Lommel (brecht) raised the priority of this task from Low to Normal.Jan 28 2020, 10:05 AM

Raising the priority of this a bit, I think it's a fairly important issue.

I cant reproduce the bug actually

i'm not sure if i can repro it in the current state, but while testing D6675 this one was real easy to trigger, as soon as the blender window does not have the focus you lose pressure

i'm not sure if i can repro it in the current state, but while testing D6675 this one was real easy to trigger, as soon as the blender window does not have the focus you lose pressure

If you are able to reproduce easily you are free to check it, actually all my computer have change since the bug and because the lockdown I can't go to pick the old parts

Brecht Van Lommel (brecht) reopened this task as Confirmed.Apr 3 2020, 12:17 AM
Brecht Van Lommel (brecht) removed Alberto Velázquez (dcvertice) as the assignee of this task.

Leaving open, there are 3 other bug reports merged into this one so it's not just about one case.

OK, I only closed the bug by petition of a dev by blender.chat.

Brecht Van Lommel (brecht) changed the task status from Confirmed to Needs Information from User.Apr 8 2020, 12:54 PM

There have been significant changes to tablet handling on Windows today. Can those who had this problem verify if this is now working correctly in the latest build?
https://builder.blender.org/download/

Been a while I've used the tablet, but now that I try the behavior is still the same for me: only main window gets pressure.
blender-2.90-76e56e2ba70f-windows64

Philipp Oeser (lichtwerk) changed the task status from Needs Information from User to Needs Developer to Reproduce.Tue, Jun 23, 9:46 AM